#!/bin/bash

#MODEL_DIR=$ES_SCRATCH/APPS/ifs-bundle-20240523-quick-fix
MODEL_DIR=/gpfs/scratch/bsc32/bsc032756/AUTO_APPS/ifs-bundle-20240523-fix-fpe/
OUTDIR=$ES_SCRATCH/RUNDIR/ifs-bundle-20240523-fix-fp-scale-tco1279-scale-fix-large-openmpi
#OUTDIR=$ES_SCRATCH/RUNDIR/testing


MPI_PER_NODE=14
OMP_PER_TASK=8
for COMP_NODES in {100..800..50}
do
    for IO_TASKS in 0
    do
        IO_NODES=$(($IO_TASKS * 2 / $MPI_PER_NODE))
        NODES=$(($COMP_NODES + $IO_NODES))
        echo "$NODES , USING $IO_NODES IO NODES"

        ./run_ifs_nemo.sh   --model-dir $MODEL_DIR --flength d2 \
                            --resolution tco1279-eORCA12 --timelimit=00:30:00 \
                            --nodes $NODES --account ehpc01 \
                            --outdir $OUTDIR --queue gp_ehpc --force \
                            --MPI $MPI_PER_NODE --OpenMP $OMP_PER_TASK --build-name=build-intel-openmpi
#                            --io-tasks-nemo $IO_TASKS --io-tasks-ifs $IO_TASKS --force
    done
done

MPI_PER_NODE=28
OMP_PER_TASK=4
for COMP_NODES in {100..800..50}
do
    for IO_TASKS in 0
    do
        IO_NODES=$(($IO_TASKS * 2 / $MPI_PER_NODE))
        NODES=$(($COMP_NODES + $IO_NODES))
        echo "$NODES , USING $IO_NODES IO NODES"

        ./run_ifs_nemo.sh   --model-dir $MODEL_DIR --flength d2 \
                            --resolution tco1279-eORCA12 --timelimit=00:30:00 \
                            --nodes $NODES --account ehpc01 \
                            --outdir $OUTDIR --queue gp_ehpc \
                            --MPI $MPI_PER_NODE --OpenMP $OMP_PER_TASK --force --build-name=build-intel-openmpi
#                            --io-tasks-nemo $IO_TASKS --io-tasks-ifs $IO_TASKS --force
    done
done
